import sys
import commands
import foafnaut
import spider
import RDF

foafnaut.print_data = 0
def main(args=None):
    uri = args[1]
    s = RDF.Storage(storage_name="mysql", name="temp", options_string="merge='yes',host='127.0.0.1',user='user',password='pass',database='redland',new='true'")
    m = RDF.Model(s)
    p = RDF.Parser()
    p.parse_into_model(m,uri)
    p.parse_into_model(m,'http://xmlns.com/foaf/0.1/')
    spider.main(['',uri,m])
    outtext = commands.getoutput("./rdf_smush -mtemp -u julie -p julie -hlocalhost")
    for i in m.find_statements(RDF.Statement(None, RDF.Uri("http://www.w3.org/1999/02/22-rdf-syntax-ns#type"), RDF.Uri("http://xmlns.com/foaf/0.1/Person"))):
        print i.subject
        if i.subject.is_resource():
            foafnaut.main(["","ID",str(i.subject.uri),m])
        else:
            foafnaut.main(["","ID",str(i.subject.blank_identifier),m])
if __name__=="__main__":
    main(sys.argv)
